package com.csc349blum.bridgetriley;

import android.os.Bundle;
import android.app.Activity;
import android.view.Menu;
import android.view.View;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemSelectedListener;
import android.widget.ArrayAdapter;
import android.widget.ImageView;
import android.widget.Spinner;
import android.widget.Toast;

/*
 Images used made by the artist Bridget Riley and came from the 
 Tate Modern Musuem site
 https://www.tate.org.uk/art/artworks/riley-fragment-210-p07105
 */

public class MainActivity extends Activity {

	String[] strRileyFragments = {"fragment17","fragment210","fragment311","fragment58"};
	//this string array is going to be the items loaded into the spinner (drop-down list)
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		
		//declare spinner and associate with item in layout using id
		Spinner spBridget = (Spinner) findViewById(R.id.spBridget);
		
		//declare an ArrayAdapter which will connect the string array to the spinner (drop-down)
		ArrayAdapter<String> myAdapater = new ArrayAdapter<String>(this, android.R.layout.simple_list_item_1, strRileyFragments);
		/*
		 An Adapter object acts as a bridge between an AdapterView and the underlying data 
		 for that view. The Adapter provides access to the data items. The Adapter is also 
		 responsible for making a View for each item in the data set.
		 http://developer.android.com/reference/android/widget/Adapter.html
		 */
		
		//The angle brackets <> above are associated with Java generics 
		//http://en.wikipedia.org/wiki/Java_generics
		
		//use adapter to load string array into spinner items 
		spBridget.setAdapter(myAdapater);
		
		
		//associate an event with the spinner
		spBridget.setOnItemSelectedListener(new OnItemSelectedListener(){

			@Override
			public void onItemSelected(AdapterView<?> arg0, View arg1,
					int arg2, long arg3) {
			
				/*
				 //used Toast to show that arg2 is the index/position of the selected item
				Toast myToast= Toast.makeText(getBaseContext(), Integer.toString(arg2), Toast.LENGTH_SHORT);
				myToast.show();
				*/
				
				//change the ImageView's resource (picture file) 
				ImageView ivBridget = (ImageView) findViewById(R.id.ivBridget);
				switch(arg2){
				case 0:
					ivBridget.setImageResource(R.drawable.fragment17);
					break;
				case 1:
					ivBridget.setImageResource(R.drawable.fragment210);
					break;
				case 2:
					ivBridget.setImageResource(R.drawable.fragment311);
					break;	
				case 3:
					ivBridget.setImageResource(R.drawable.fragment58);
					break;	
				}		
			}

			@Override
			public void onNothingSelected(AdapterView<?> arg0) {
				// TODO Auto-generated method stub
				//have to have this even if it doesn't do anything
			}	
		});
		
	}//end onCreate

} //end MainActivity class
